Knowledgebase
NetworkPanda > Client and Support Area > Knowledgebase

Ask a question:


How to solve: cPanel update failure: ***** FATAL: Cannot proceed. Needed system RPMs were not installed

Solution

On your VPS or dedicated server running CloudLinux (or CentOS switched to CloudLinux) you may find this problem while trying to upgrade your cPanel to the newest version:

 

[20130322.110359] Error: Protected multilib versions: libwmf-lite-0.2.8.4-22.el6.i686 != libwmf-lite-0.2.8.4-22.el6.centos.x86_64
[20130322.110359] You could try using --skip-broken to work around the problem
[20130322.110400] ** Found 5 pre-existing rpmdb problem(s), 'yum check' output follows:
[20130322.110400] bandmin-1.6.1-5.noarch has missing requires of perl(bandmin.conf)
[20130322.110400] bandmin-1.6.1-5.noarch has missing requires of perl(bmversion.pl)
[20130322.110400] bandmin-1.6.1-5.noarch has missing requires of perl(services.conf)
[20130322.110400] exim-4.80-5.x86_64 has missing requires of perl(SafeFile)
[20130322.110400] frontpage-2002-SR1.2.i386 has missing requires of libexpat.so.0
[20130322.110400] Prelinking shared libraries and binaries: /usr/sbin/prelink -av -mR
[20130322.110405] E Sysup: Needed system RPMs were not installed: libwmf
[20130322.110405] ***** FATAL: Cannot proceed. Needed system RPMs were not installed.
[20130322.110405] The Administrator will be notified to review this output when this script completes
[20130322.110405] E Detected events which require user notification during updatenow. Will send iContact the log
=> Log closed Fri Mar 22 11:04:05 2013
[20130322.110405] E Running `/usr/local/cpanel/scripts/updatenow --upcp --log=/var/cpanel/updatelogs/update.1363968224.log --force` failed, exited with code 4608

To resolve this issue, run these commands:

yum remove libwmf-lite lvemanager
yum install lvemanager

Then /scripts/upcp will work fine

 

Article details
Article ID: 20
Category: VPS Hosting
Date added: 2013-03-22 16:42:40
Views: 3596

 
« Go back

NetworkPanda Billing & Support - NetworkPanda 2002-2017